<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright Š 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: pictures.php
| Version: 1.00
| Author: Wooya
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";

if (!isNum($_GET['album_id'])) die();

include INFUSIONS."pictureflow_gallery/infusion_db.php";

if (!function_exists("myiconv")) {
	function myiconv($source, $dest, $text) {
		if (!function_exists("iconv")) {
			return $text;
		} else {
			if (strtolower($source)==strtolower($dest)) {
				return $text;
			} else {
				return iconv($source, $dest, $text);
			}
		}
	}
}

define("SAFEMODE", @ini_get("safe_mode") ? true : false);
define("PHOTODIR", PHOTOS.(!SAFEMODE ? "album_".$_GET['album_id']."/" : ""));

$result = dbquery("SELECT * FROM ".DB_PICTUREFLOW_TABLE." WHERE pictureflow_album_id=".$_GET['album_id']);
$grows = dbrows($result);
if (!$grows) {
   $result = dbquery("SELECT * FROM ".DB_PICTUREFLOW_TABLE." WHERE pictureflow_album_id=0");
}
$pfs = dbarray($result);
if ($pfs['pictureflow_selection_method']=="random") {
	$result = dbquery("SELECT * FROM ".DB_PHOTOS." WHERE album_id=".$_GET['album_id']." ORDER BY RAND() LIMIT 0,".$pfs['pictureflow_selection_no']);
} else if ($pfs['pictureflow_selection_method']=="all_pictures") {
	$result = dbquery("SELECT * FROM ".DB_PHOTOS." WHERE album_id=".$_GET['album_id']);
} else if ($pfs['pictureflow_selection_method']=="selected_pictures") {
	$sel_pictures = str_replace(".", ", ", $pfs['pictureflow_selection_pictures']);
	$result = dbquery("SELECT * FROM ".DB_PHOTOS." WHERE album_id=".$_GET['album_id']." AND photo_id IN (".$sel_pictures.")");
}

echo "<?xml version=\"1.0\" encoding=\"utf-8\"?>\n";
echo "<icons>\n";
while ($data = dbarray($result)) {
	if ($settings['photo_watermark']) {
		$photo_thumb = BASEDIR."photo.php?photo_id=".$data['photo_id'];
		$photo_image = BASEDIR."photo.php?photo_id=".$data['photo_id']."&amp;full";
	} else {
		$photo_thumb = PHOTODIR.$data['photo_thumb2'];
		$photo_image = PHOTODIR.$data['photo_filename'];
	}
	echo "\t<icon image=\"".$photo_thumb."\" action=\"".$photo_image."\" rel=\"shadowbox[gallery];options={counterType:'skip',continuous:true}\" titre=\"".myiconv($locale['charset'], "utf-8", $data['photo_title'])."\" desc=\"".myiconv($locale['charset'], "utf-8", $data['photo_description'])."\"/>\n";
}
echo "</icons>\n";
?>
